<template>
  <!-- 修改车皮装车实绩 -->
  <div class="contractDetails">
    <page-title>返回</page-title>

    <div class="form">
      <div class="form_box">
        <dil-form :formId="103" v-model="form1"></dil-form>
      </div>
    </div>

    <!-- 确定和取消 -->
    <div class="button_box">
      <el-button @click="onClickCancel">返回</el-button>
      <el-button type="primary" @click="onClickConfirm">确认</el-button>
    </div>
  </div>
</template>

<script>
import PageTitle from "@/components/Page/Title";
import { sjTime, isNumber } from "@/utils/sharedJsFile";
export default {
  components: { PageTitle },
  data() {
    return {
      form1: {},
    };
  },
  mounted() {
    this.information();
  },
  methods: {
    information() {
      //编辑车皮装车作业
      this.axios
        .post(
          "/api/v1/tms/getTmstrainLoadingResultByResultId/" +
            this.$route.params.resultId
        )
        .then((res) => {
          res.data.data.forEach((e) => {
            this.form1 = e;
            console.log(e);
            console.log(this.form1);
            console.log(this.$route.params.resultId);
          });
        });
    },
    handleCheckedCitiesChange(value) {
      console.log(value);
    },
    // 返回
    onClickCancel() {
      this.$router.go(-1);
    },
    currentRadioChange(row) {
      this.aaaa = row;
    },
    // 确认
    onClickConfirm() {
      let tmstrainLoadingResult = {
        resultId: this.$route.params.resultId,
        resultIsclear: this.form1.resultIsclear,
        resultClass: this.form1.resultClass,
        sendStationId: this.form1.sendStationId,
        arrivalStationId: this.form1.arrivalStationId,
        resultLoadingDate: sjTime(this.form1.resultLoadingDate),
        capacityId: this.form1.capacityId,
        resultMaterialNumber: this.form1.resultMaterialNumber,
        resultMaterialTheoryweight: this.form1.resultMaterialTheoryweight,
        resultRemarks: this.form1.resultRemarks,
      };
      if (
        tmstrainLoadingResult.resultIsclear == null ||
        tmstrainLoadingResult.resultClass == null ||
        tmstrainLoadingResult.sendStationId == null ||
        tmstrainLoadingResult.arrivalStationId == null ||
        tmstrainLoadingResult.resultLoadingDate == null
      )
        this.$message.error("必填项存在空值！");
      else
        this.axios
          .post(
            "/api/v1/tms/upadteTmstrainLoadingResultByResultId",
            tmstrainLoadingResult
          )
          .then((res) => {
            if (res.data.code == "200") {
              this.$message({
                type: "success",
                message: "修改成功!",
              });
            }

            this.$router.go(-1);
          });
    },
  },
};
</script>
<style lang="scss">
.contractDetails {
  .form {
    display: flex;
    .form_box {
      width: 340px;
      margin-left: 35%;
      margin-top: 30px;
      margin-right: 20px;
      .el-form {
        .preview-group {
          .el-form-item {
            .el-form-item__label {
              display: inline-block;
              width: 70px !important;
            }
            .el-form-item__content {
              .el-select {
                width: 250px;
              }
              .el-input {
                width: 250px;
              }
              .el-textarea {
                .el-textarea__inner {
                  width: 220px;
                  margin-left: 65px;
                  margin-top: 0.03rem;
                }
              }
            }
          }
        }
      }
    }
  }
  .button_box {
    margin-left: 42%;
    margin-top: 55px;
  }
}
.fromOther {
  margin-left: 34.5%;
  width: 50%;
  .inline-input {
    width: 300px;
  }
}
</style>